-- Execute by create_tables.sh
-- SQL create new layers

-- create new table poi
CREATE TABLE geodata.poi (
  gid SERIAL PRIMARY KEY,
  id INTEGER,
  collected DATE,
  typeid INTEGER,
  personid INTEGER,
  geom geometry(POINTZ,4326),
  FOREIGN KEY (typeid) REFERENCES geodata.type(id),
  FOREIGN KEY (personid) REFERENCES geodata.person(id)
);

-- create new table polygon
CREATE TABLE geodata.polygon (
  gid SERIAL PRIMARY KEY,
  id INTEGER,
  collected DATE,
  orientation FLOAT,
  openingmax FLOAT,
  openingmin FLOAT,
  depth FLOAT,
  personid INTEGER,
  geom geometry(POLYGONZ,4326),
  FOREIGN KEY (personid) REFERENCES geodata.person(id)
);

