#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# Variablen
var_import_file="testdata_type.txt"
var_db_name="efdb"
var_application_db_schema="geodata"
var_application_srid=4326
file_relation="import.sql"
path_root=`pwd`

# Import-Tables
echo "-- Execute by import_type.sh">$file_relation
echo "-- SQL create new layers">>$file_relation
echo "">>$file_relation

echo "-- create new table import_table">>$file_relation
echo "CREATE TABLE "$var_application_db_schema".import_table (">>$file_relation
echo "  name CHARACTER VARYING">>$file_relation
echo ");">>$file_relation
echo "">>$file_relation


echo "-- import csv data to import_table">>$file_relation
echo "COPY "$var_application_db_schema".import_table">>$file_relation
echo "  FROM '"$path_root"/"$var_import_file"'">>$file_relation
echo "  WITH">>$file_relation
echo "    DELIMITER AS ';'">>$file_relation
echo "    CSV HEADER ;">>$file_relation
echo "">>$file_relation


echo "-- copy data from import_table to person">>$file_relation
echo "INSERT INTO "$var_application_db_schema".type (name)">>$file_relation
echo "  SELECT name">>$file_relation
echo "  FROM "$var_application_db_schema".import_table;">>$file_relation


echo "-- Delete import_table">>$file_relation
echo "  DROP TABLE "$var_application_db_schema".import_table;">>$file_relation


# Execute SQL-File
/bin/su -l postgres -c "psql -U postgres -d $var_db_name -f $path_root/$file_relation"









