#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# CONDITION: Run as root (sudo)
if [ $(id -u) -ne 0 ]; then
  echo "ERR: This script must be run as root."
  exit 1
fi

# Update the System
apt-get update
#apt-get -y upgrade

# Create paths
if ! [ -d "tmp" ] ; then
  echo "LOG: create tmp directory."
  mkdir tmp
fi
if ! [ -d "log" ] ; then
  echo "LOG: create log directory."
  mkdir log
fi

# Creates list of already installed packages
#dpkg --get-selections | cut -f1 > ./log/installed_packages

# Change permissions
chmod -R 755 script
chmod -R 777 tmp

# Execute the scripts
cd ./script
# 1. Basics (Apache2 / PHP)
./install_basic.sh
./config_basic.sh
# 2. Database (PostgreSQL + PostGIS)
./install_postgres.sh
./config_postgres.sh
./config_postgis.sh
./create_tables.sh
./create_views.sh
# 3. MapServer (Mapserver + TinyOWS)
./install_mapserver.sh
./install_tinyows.sh
./config_tinyows.sh
./create_mapfiles.sh
./create_wms_getfeatureinfo.sh
# 4. Webmapping-App (Mapbender3)
./install_mapbender3.sh
./config_mapbender3.sh
./create_mapbender_application.sh
./create_analysis.sh
./create_import.sh
