#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017

# Filename of this script
log_name="config_tinyows"

# Load the project functions and configuration 
source ./head_admin.sh

# decleare config data
file_tinyows="../tmp/tinyows.xml"

# Function to install the packages in the configuration
(
  echo "<tinyows online_resource=\"http://$var_webserver_ip/cgi-bin/$var_tinyows_path/tinyows\" schema_dir=\"/usr/local/share/tinyows/schema/\">">$file_tinyows
  echo "  <pg host=\"$var_db_host\" user=\"$var_db_user\" password=\"$var_db_password\" dbname=\"$var_db_name\" port=\"$var_db_port\"/>">>$file_tinyows
  echo "  <metadata name=\"TinyOWS Server\" title=\"TinyOWS Server\" />">>$file_tinyows
  
  echo "  <layer retrievable=\"1\"">>$file_tinyows
  echo "    writable=\"1\"">>$file_tinyows
  echo "    ns_prefix=\"layer\"">>$file_tinyows
  echo "    ns_uri=\"http://$var_webserver_ip\"">>$file_tinyows
  echo "    schema=\"$var_application_db_schema\"">>$file_tinyows
  echo "    name=\"poi\"">>$file_tinyows
  echo "    title=\"poi\"">>$file_tinyows
  echo "  />">>$file_tinyows
  
  echo "  <layer retrievable=\"1\"">>$file_tinyows
  echo "    writable=\"1\"">>$file_tinyows
  echo "    ns_prefix=\"layer\"">>$file_tinyows
  echo "    ns_uri=\"http://$var_webserver_ip\"">>$file_tinyows
  echo "    schema=\"$var_application_db_schema\"">>$file_tinyows
  echo "    name=\"polygon\"">>$file_tinyows
  echo "    title=\"polygon\"">>$file_tinyows
  echo "  />">>$file_tinyows
  
  echo "</tinyows>">>$file_tinyows

  # copy ../tmp/tinyows.xml to etc directory
  mv $file_tinyows /etc/tinyows.xml

  # output config tinyows.xml file
  if [ -e /etc/tinyows.xml ] ; then
    echo "LOG: Configuration File /etc/tinyows.xml ..."
    cat /etc/tinyows.xml
  else
    echo "ERR: tinyows.xml is not in the /etc directory."
    exit 1
  fi

  # check tinyows file in cgi-bin
  if [ -e $path_cgi_bin/$var_tinyows_path/tinyows ] ; then
    echo "LOG: check TinyOWS configuration ..."
    $path_cgi_bin/$var_tinyows_path/tinyows --check
  else
    echo "ERR: tinyows is not in the CGI-BIN ($path_cgi_bin/$var_tinyows_path) directory."
    exit 1
  fi

) 2>&1 | tee -a $log
