#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# Filename of this script
log_name="create_analysis"

# Load the project functions and configuration 
source ./head_admin.sh

# Function to create a WMS-Mapfile
(
# Create paths and change permissions
path=$path_apache_html/analysis
if ! [ -d "$path" ] ; then
  echo "LOG: create directory for analysis ($path)"
  mkdir $path
  chmod 755 $path
  chown www-data $path
fi

# create config.php for analysis
path=$path_apache_html/analysis/config.php
echo "LOG: create config.php for analysis ($path)"

echo "<?php">$path
echo "\$url = \"http://"$var_webserver_ip"/"$var_url_mapbender"/application/"$var_application_name"_yml\";">>$path
echo "\$dbname = \""$var_db_name"\";">>$path
echo "\$dbuser = \""$var_db_user"\";">>$path
echo "\$dbpassword = \""$var_db_password"\";">>$path
echo "\$dbschema = \""$var_application_db_schema"\";">>$path
echo "?>">>$path
chmod 755 $path
chown www-data $path

# create index.php for analysis
path=$path_apache_html/analysis/index.php
echo "LOG: copy index.php for analysis ($path)"
cp ../data/analysis.php $path
chmod 755 $path
chown www-data $path


) 2>&1 | tee -a $log

