#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# Filename of this script
log_name="create_import"

# Load the project functions and configuration 
source ./head_admin.sh

# Function to create a WMS-Mapfile
(
# Create paths and change permissions
path=$path_apache_html/import
if ! [ -d "$path" ] ; then
  echo "LOG: create directory for import ($path)"
  mkdir $path
  chmod 755 $path
  chown www-data $path
fi
path=$path_apache_html/import/tmp
if ! [ -d "$path" ] ; then
  echo "LOG: create directory for import ($path)"
  mkdir $path
  chmod 755 $path
  chown www-data $path
fi

# create config.php for import
path=$path_apache_html/import/config.php
echo "LOG: create config.php for import ($path)"

echo "<?php">$path
echo "\$password = \""$var_application_import_password"\";">>$path
echo "\$dbname = \""$var_db_name"\";">>$path
echo "\$dbuser = \""$var_db_user"\";">>$path
echo "\$dbpassword = \""$var_db_password"\";">>$path
echo "\$dbschema = \""$var_application_db_schema"\";">>$path
echo "\$tmp_path = \""$path_apache_html/import/tmp/"\";">>$path
echo "\$srid = \""$var_application_srid"\";">>$path
echo "?>">>$path
chmod 755 $path
chown www-data $path

# create index.php for analysis
path=$path_apache_html/import/index.php
echo "LOG: copy index.php for import ($path)"
cp ../data/import.php $path
chmod 755 $path
chown www-data $path


) 2>&1 | tee -a $log

