#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# Filename of this script
log_name="create_mapbender_application"

# Load the project functions and configuration 
source ./head_admin.sh

# Function to configure the packages
(

# decleare config data
config_path="$path_apache_doc_root/$var_url_mapbender/app/config/applications"
file="ef.yml"

# Path-Root
path_root=`pwd`/..

# change to tmp
cd ../tmp

# create the application for mapbender (mapbender.yml)
echo "">$file
echo "services:">>$file
echo "  mapbender2_geometryprovider:">>$file
echo "    class: OwsProxy3\CoreBundle\GeometryProvider\Mapbender2GeometryProvider">>$file
echo "    arguments: [ '@service_container' ]">>$file
echo "">>$file
echo "parameters:">>$file
echo "    applications:">>$file
echo "        $var_application_name:">>$file
echo "            title: $var_application_name">>$file
echo "            screenshot: '$var_application_name.png'">>$file
echo "            description: '$var_application_description'">>$file
echo "            published: true">>$file
echo "            template:  Mapbender\CoreBundle\Template\Fullscreen">>$file
echo "            regionProperties:">>$file
echo "                -">>$file
echo "                    name: sidepane">>$file
echo "                    properties: {'name': 'tabs', 'label': 'mb.manager.template.region.tabs.label'}">>$file
echo "            layersets:">>$file
echo "                main:">>$file

# First and last POI and POLYGON with color and distance line
echo "                    $var_ows_title_max:">>$file
echo "                        class: Mapbender\WmsBundle\Entity\WmsInstance">>$file
echo "                        title: $var_ows_title_max">>$file
echo "                        url: http://"$var_webserver_ip"/cgi-bin/mapserv?map="$var_ows_mapfile_path"/"$var_ows_mapfile_name_max"&">>$file
echo "                        layers:">>$file
echo "                            11: { name: polygon_max_difference, title: polygon_max_difference, visible: true, queryable: false }">>$file
echo "                            12: { name: polygon_max_distance, title: polygon_max_distance, visible: true, queryable: false }">>$file
echo "                            13: { name: polygon_max_centroid, title: polygon_max_centroid, visible: true, queryable: false }">>$file
echo "                            14: { name: polygon, title: polygon, visible: true, queryable: true }">>$file
echo "                            15: { name: poi_max_distance, title: poi_max_distance, visible: true, queryable: false }">>$file
echo "                            16: { name: poi, title: poi, visible: true, queryable: true }">>$file
echo "                        info_format: text/html">>$file
echo "                        visible: true">>$file
echo "                        format: image/png">>$file
echo "                        transparent: true">>$file
echo "                        tiled: true">>$file
echo "                        opacity: 100">>$file

# Yearly POI and POLYGON with distance line
echo "                    $var_ows_title_year:">>$file
echo "                        class: Mapbender\WmsBundle\Entity\WmsInstance">>$file
echo "                        title: $var_ows_title_year">>$file
echo "                        url: http://"$var_webserver_ip"/cgi-bin/mapserv?map="$var_ows_mapfile_path"/"$var_ows_mapfile_name_year"&">>$file
echo "                        layers:">>$file
echo "                            21: { name: polygon_year_distance, title: polygon_year_distance, visible: true, queryable: false }">>$file
echo "                            22: { name: polygon_year_centroid, title: polygon_year_centroid, visible: true, queryable: false }">>$file
echo "                            23: { name: polygon, title: polygon, visible: true, queryable: true }">>$file
echo "                            24: { name: poi_year_distance, title: poi_year_distance, visible: true, queryable: false }">>$file
echo "                            25: { name: poi, title: poi, visible: true, queryable: true }">>$file
echo "                        info_format: text/html">>$file
echo "                        visible: true">>$file
echo "                        format: image/png">>$file
echo "                        transparent: true">>$file
echo "                        tiled: true">>$file
echo "                        opacity: 100">>$file

# All POI and POLYGON
echo "                    $var_ows_title:">>$file
echo "                        class: Mapbender\WmsBundle\Entity\WmsInstance">>$file
echo "                        title: $var_ows_title">>$file
echo "                        url: http://"$var_webserver_ip"/cgi-bin/mapserv?map="$var_ows_mapfile_path"/"$var_ows_mapfile_name"&">>$file
echo "                        layers:">>$file
echo "                            81: { name: polygon, title: polygon, visible: true, queryable: true }">>$file
echo "                            82: { name: poi, title: poi, visible: true, queryable: true }">>$file
echo "                        info_format: text/html">>$file
echo "                        visible: true">>$file
echo "                        format: image/png">>$file
echo "                        transparent: true">>$file
echo "                        tiled: true">>$file
echo "                        opacity: 100">>$file

# OpenStreetMap WMS-Layer by terrestris
echo "                    OpenStreetMap WMS:">>$file
echo "                        class: Mapbender\WmsBundle\Entity\WmsInstance">>$file
echo "                        title: OpenStreetMap WMS by terrestris">>$file
echo "                        url: http://ows.terrestris.de/osm/service">>$file
echo "                        layers:">>$file
echo "                            92: { name: OSM-Overlay-WMS, title: OSM Overlay WMS - by terrestris,  visible: false }">>$file
echo "                            93: { name: OSM-WMS, title: OpenStreetMap WMS - by terrestris,  visible: true }">>$file
echo "                            94: { name: TOPO-WMS, title: Topographic WMS - by mundialis,  visible: false }">>$file
echo "                            95: { name: TOPO-OSM-WMS, title: Topographic OSM WMS - by mundialis,  visible: false }">>$file
echo "                        info_format: text/html">>$file
echo "                        visible: true">>$file
echo "                        format: image/png">>$file
echo "                        transparent: true">>$file
echo "                        tiled: false">>$file
echo "                        opacity: 100">>$file

# OpenStreetMap Overview WMS-Layer by terrestris
echo "                overview:">>$file
echo "                    OpenStreetMap Overlay WMS:">>$file
echo "                        class: Mapbender\WmsBundle\Entity\WmsInstance">>$file
echo "                        title: OpenStreetMap Overlay WMS by terrestris">>$file
echo "                        url: http://ows.terrestris.de/osm/service">>$file
echo "                        layers:">>$file
echo "                            96: { name: OSM-Overlay-WMS,    title : OSM Overlay WMS - by terrestris,  visible: true }">>$file
echo "                            97: { name: OSM-WMS,    title : OpenStreetMap WMS - by terrestris,  visible: false }">>$file
echo "                            98: { name: TOPO-WMS,    title : Topographic WMS - by mundialis,  visible: false }">>$file
echo "                            99: { name: TOPO-OSM-WMS,    title : Topographic OSM WMS - by mundialis,  visible: false }">>$file
echo "                        tiled: false">>$file
echo "                        format: image/png">>$file
echo "                        transparent: true">>$file
echo "                        visible: true">>$file
echo "                        opacity: 100">>$file

# Application elements
echo "            elements:">>$file
echo "                toolbar:">>$file
echo "                    fi-button:">>$file
echo "                        title: Feature Info">>$file
echo "                        tooltip: Feature Info">>$file
echo "                        class: Mapbender\CoreBundle\Element\Button">>$file
echo "                        icon: iconInfoActive">>$file
echo "                        label: true">>$file
echo "                        target: featureinfo">>$file
echo "                        deactivate: deactivate">>$file
echo "                        group: featureinfo">>$file
echo "                    print-button:">>$file
echo "                        title: Print">>$file
echo "                        tooltip: Print PDF">>$file
echo "                        class: Mapbender\CoreBundle\Element\Button">>$file
echo "                        label: true">>$file
echo "                        icon: iconPrint">>$file
echo "                        target: printclient">>$file
echo "                        action: open">>$file
echo "                    imageexport-button:">>$file
echo "                        title: Image Export">>$file
echo "                        tooltip: Image Export">>$file
echo "                        class: Mapbender\CoreBundle\Element\Button">>$file
echo "                        label: true">>$file
echo "                        icon: icon-image-export">>$file
echo "                        target: imageexport">>$file
echo "                        action: open">>$file
echo "                    wmsloader-button:">>$file
echo "                        title: WMS Loader">>$file
echo "                        tooltip: WMS Loader">>$file
echo "                        class: Mapbender\CoreBundle\Element\Button">>$file
echo "                        target: wmsloader">>$file
echo "                        icon: iconWms">>$file
echo "                        action: open">>$file
echo "                    gps-button:">>$file
echo "                        title: GPS">>$file
echo "                        tooltip: Show GPS Position">>$file
echo "                        class: Mapbender\CoreBundle\Element\GpsPosition">>$file
echo "                        label: true">>$file
echo "                        target: map">>$file
echo "                        action: open">>$file
echo "                    lineruler-button:">>$file
echo "                        title: Line Ruler">>$file
echo "                        tooltip: Line Ruler">>$file
echo "                        class: Mapbender\CoreBundle\Element\Button">>$file
echo "                        icon: icon-line-ruler">>$file
echo "                        label: true">>$file
echo "                        target: lineruler">>$file
echo "                        deactivate: deactivate">>$file
echo "                        group: rulers">>$file
echo "                    arearuler-button:">>$file
echo "                        title: Area Ruler">>$file
echo "                        tooltip: Area Ruler">>$file
echo "                        class: Mapbender\CoreBundle\Element\Button">>$file
echo "                        icon: icon-area-ruler">>$file
echo "                        label: true">>$file
echo "                        target: arearuler">>$file
echo "                        deactivate: deactivate">>$file
echo "                        group: rulers">>$file
echo "                    redlining-button:">>$file
echo "                        title: Redlining">>$file
echo "                        tooltip: Redlining">>$file
echo "                        class: Mapbender\CoreBundle\Element\Button">>$file
echo "                        icon: icon-polygon">>$file
echo "                        label: true">>$file
echo "                        target: redlining">>$file
echo "                content:">>$file
echo "                    map:">>$file
echo "                        title: Main Map">>$file
echo "                        class: Mapbender\CoreBundle\Element\Map">>$file
echo "                        layersets: [main]">>$file
echo "                        srs: EPSG:4326">>$file
echo "                        units: m">>$file
echo "                        extents:">>$file
echo "                            start: [-15,18,-3,40]">>$file
echo "                            max: [-180,-90,180,90]">>$file
echo "                        scales: [25000000,10000000,5000000,1000000,500000,100000,50000,25000,10000,7500,5000,2500,1000,500,250,100,50,25,10,5,1]">>$file
echo "                        maxResolution: 'auto'">>$file

# change srs format from (EPSG:25832 EPSG:25833) to ('EPSG:25832','EPSG:25833')
othersrs=`echo "'"${var_application_other_srs[@]}"'" | sed "s/ /','/g"`
echo "                        otherSrs: [$othersrs]">>$file
echo "                    zoombar:">>$file
echo "                        class: Mapbender\CoreBundle\Element\ZoomBar">>$file
echo "                        target: map">>$file
echo "                        components: ['pan','history','zoom_box','zoom_max','zoom_slider']">>$file
echo "                        position: [15em, 3em]">>$file
echo "                        stepsize: 50">>$file
echo "                        stepbypixel: true">>$file
echo "                        anchor: right-top">>$file
echo "                        position: [200,40]">>$file
echo "                        draggable: false">>$file
echo "                    featureinfo:">>$file
echo "                        class: Mapbender\CoreBundle\Element\FeatureInfo">>$file
echo "                        title: FeatureInfo">>$file
echo "                        target: map">>$file
echo "                        deactivateOnClose: false">>$file
echo "                        onlyValid: true">>$file
echo "                        type: dialog">>$file
echo "                        displayType: tabs">>$file
echo "                        autoActivate: false">>$file
echo "                        printResult: true">>$file
echo "                        showOriginal: true">>$file
echo "                        width: 500">>$file
echo "                        height: 500">>$file
echo "                    wmsloader:">>$file
echo "                        title: WMS Loader">>$file
echo "                        class: Mapbender\WmsBundle\Element\WmsLoader">>$file
echo "                        target: map">>$file
echo "                        autoOpen: false">>$file
echo "                        defaultFormat: 'image/png'">>$file
echo "                        defaultInfoFormat: 'text/html'">>$file
echo "                        splitLayers: false">>$file
echo "                    printclient:">>$file
echo "                        class: Mapbender\CoreBundle\Element\PrintClient">>$file
echo "                        target: map">>$file
echo "                        file_prefix: mapbender3">>$file
echo "                        templates:">>$file
echo "                            - { template: a4portrait, label: A4 Portrait}">>$file
echo "                            - { template: a4landscape, label: A4 Landscape}">>$file
echo "                            - { template: a3portrait, label: A3 Portrait}">>$file
echo "                            - { template: a3landscape, label: A3 Landscape}">>$file
echo "                        scales: [500, 1000, 5000, 10000, 25000, 50000, 100000, 250000, 500000]">>$file
echo "                        quality_levels:">>$file
echo "                            - { dpi: 72 , label: Draft (72dpi)}">>$file
echo "                            - { dpi: 288,  label: Document (288dpi)}">>$file
echo "                        rotatable: true">>$file
echo "                        legend: true">>$file
echo "                        legend_default_behaviour: false">>$file
echo "                        optional_fields:">>$file
echo "                            title:">>$file
echo "                                label: Title              # label of the optional field">>$file
echo "                                options:                  #">>$file
echo "                                    required: true        # true or false">>$file
echo "                    imageexport:">>$file
echo "                        class: Mapbender\PrintBundle\Element\ImageExport">>$file
echo "                        target: map">>$file
echo "                    lineruler:">>$file
echo "                        title: Distance">>$file
echo "                        tooltip: 'ruler'">>$file
echo "                        class: Mapbender\CoreBundle\Element\Ruler">>$file
echo "                        target: map">>$file
echo "                        type: line">>$file
echo "                    arearuler:">>$file
echo "                        title: Area">>$file
echo "                        tooltip: 'area'">>$file
echo "                        class: Mapbender\CoreBundle\Element\Ruler">>$file
echo "                        target: map">>$file
echo "                        type: area">>$file
echo "                    redlining:">>$file
echo "                        title: Redlining">>$file
echo "                        class: Mapbender\CoreBundle\Element\Redlining">>$file
echo "                        target: map">>$file
echo "                        geometrytypes:">>$file
echo "                            - point">>$file
echo "                            - line">>$file
echo "                            - polygon">>$file
echo "                            - text">>$file
echo "                            - rectangle">>$file
echo "                        display_type: dialog">>$file
echo "                        auto_activate: false">>$file
echo "                        deactivate_on_close: false">>$file
echo "                    overview:">>$file
echo "                        title: Overview">>$file
echo "                        class: Mapbender\CoreBundle\Element\Overview">>$file
echo "                        tooltip: 'Overview'">>$file
echo "                        target: map">>$file
echo "                        layerset: overview">>$file
echo "                        width: 200">>$file
echo "                        height: 100">>$file
echo "                        anchor: 'right-bottom'">>$file
echo "                        position: ['0px', '0px']">>$file
echo "                        maximized: true">>$file
echo "                        fixed: false">>$file
echo "                    scalebar:">>$file
echo "                        class: Mapbender\CoreBundle\Element\ScaleBar">>$file
echo "                        target: map">>$file
echo "                        anchor: 'left-bottom'">>$file
echo "                        position: ['10px', '10px']">>$file
echo "                        maxWidth: 200">>$file
echo "                        units: ['km']">>$file
echo "                sidepane:">>$file
echo "                    layertree:">>$file
echo "                        title: Layertree">>$file
echo "                        class: Mapbender\CoreBundle\Element\Layertree">>$file
echo "                        target: map">>$file
echo "                        type: element">>$file
echo "                        displaytype: tree">>$file
echo "                        useAccordion: false">>$file
echo "                        autoOpen: false">>$file
echo "                        titlemaxlength: 40">>$file
echo "                        showBaseSource: true">>$file
echo "                        layerRemove: true">>$file
echo "                        menu: [opacity,zoomtolayer,metadata]">>$file
echo "                    legend:">>$file
echo "                        class: Mapbender\CoreBundle\Element\Legend">>$file
echo "                        target: map">>$file
echo "                        title: Legend">>$file
echo "                        elementType: blockelement">>$file
echo "                        autoOpen: false">>$file
echo "                        displayType: list">>$file
echo "                        hideEmptyLayers: true">>$file
echo "                        noLegend: 'No legend available'">>$file
echo "                        generateLegendGraphic: false">>$file
echo "                        showWmsTitle: true">>$file
echo "                        showLayerTitle: true">>$file
echo "                        showGroupedLayerTitle: true">>$file
echo "                    HTML:">>$file
echo "                        title: Analysis">>$file
echo "                        class: Mapbender\CoreBundle\Element\HTMLElement">>$file
echo "                        content: '<iframe frameborder=''0'' height=600px width=310px src=''http://"$var_webserver_ip"/analysis/index.php''></iframe>'">>$file
echo "                        classes: html-element-inline">>$file
echo "                    HTML:">>$file
echo "                        title: Import">>$file
echo "                        class: Mapbender\CoreBundle\Element\HTMLElement">>$file
echo "                        content: '<iframe frameborder=''0'' height=600px width=310px src=''http://"$var_webserver_ip"/import/index.php?pw="$var_application_import_password"''></iframe>'">>$file
echo "                        classes: html-element-inline">>$file
echo "                footer:">>$file
echo "                    activityindicator:">>$file
echo "                        class: Mapbender\CoreBundle\Element\ActivityIndicator">>$file
echo "                        title: Activity Indicator">>$file
echo "                        activityClass: mb-activity">>$file
echo "                        ajaxActivityClass: mb-activity-ajax">>$file
echo "                        tileActivityClass: mb-activity-tile">>$file
echo "                    coordinates:">>$file
echo "                        class: Mapbender\CoreBundle\Element\CoordinatesDisplay">>$file
echo "                        title: Coordinates Display">>$file
echo "                        tooltip: Coordinates Display">>$file
echo "                        target: map">>$file
echo "                        label: false">>$file
echo "                        empty:  'x: - y: -'">>$file
echo "                        prefix: 'x: '">>$file
echo "                        separator:  ' y: '">>$file
echo "                    srs:">>$file
echo "                        class: Mapbender\CoreBundle\Element\SrsSelector">>$file
echo "                        title: SRS Selector">>$file
echo "                        tooltip: SRS Selector">>$file
echo "                        label: false">>$file
echo "                        target: map">>$file
echo "                    scaledisplay:">>$file
echo "                        title: Scale Display">>$file
echo "                        class: Mapbender\CoreBundle\Element\ScaleDisplay">>$file
echo "                        tooltip: Scale">>$file
echo "                        target: map">>$file
echo "                        anchor: right-bottom">>$file
echo "                        scalePrefix: Scale">>$file
echo "                        unitPrefix: true">>$file
echo "                    scaleselector:">>$file
echo "                        class: Mapbender\CoreBundle\Element\ScaleSelector">>$file
echo "                        title: Scale Selector">>$file
echo "                        tooltip: Scale Selector">>$file
echo "                        label: false">>$file
echo "                        target: map">>$file
echo "                    HTML:">>$file
echo "                        title: HTML">>$file
echo "                        class: Mapbender\CoreBundle\Element\HTMLElement">>$file
echo "                        content: '<div style=''color: #6FB536; font-weight:bold'' >powered by Mapbender</div>'">>$file
echo "                        classes: html-element-inline">>$file

# change permissions
chmod -R 744 $file
chown -R www-data $file

# copy to the webdirectory
mv $file $config_path/$file

# delete caches
cd "$path_apache_doc_root/$var_url_mapbender/"
if [ -d "app/cache/prod" ] ; then
  echo "LOG: delete mapbender cache (app/cache/prod)"
  rm app/cache/prod/ -R
fi
if [ -d "app/cache/prod" ] ; then
  echo "LOG: delete mapbender cache (app/cache/dev)"
  rm app/cache/dev/ -R
fi



# copy mapbender.yml application to database
app/console doctrine:fixtures:load --fixtures=./mapbender/src/Mapbender/CoreBundle/DataFixtures/ORM/Application/ --append

# delete mapbender.yml
mv app/config/applications/ef.yml app/config/ef.yml.temp

# copy screenshot
cp $path_root/data/mapbender_screenshot.png $path_apache_doc_root/$var_url_mapbender/web/uploads/"$var_application_name"_yml/$var_application_name.png
# change permissions
chmod -R 744 $path_apache_doc_root/$var_url_mapbender/web/uploads/"$var_application_name"_yml/
chown -R www-data $path_apache_doc_root/$var_url_mapbender/web/uploads/"$var_application_name"_yml/

echo "LOG: open Mapbender Application with http://"$var_webserver_ip"/"$var_url_mapbender

) 2>&1 | tee -a $log
