#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# Filename of this script
log_name="create_mapfiles"

# Load the project functions and configuration 
source ./head_admin.sh

# Function to create a WMS-Mapfile
(

# change to tmp
cd ../tmp

# create the mapfile for all poi & polygon
echo "MAP">$var_ows_mapfile_name
echo "  SIZE 800 600">>$var_ows_mapfile_name
echo "  EXTENT -180 -90 180 90">>$var_ows_mapfile_name
echo "  UNITS METERS">>$var_ows_mapfile_name
echo "  IMAGETYPE PNG24">>$var_ows_mapfile_name
echo "  IMAGECOLOR 255 255 255">>$var_ows_mapfile_name
echo "  PROJECTION">>$var_ows_mapfile_name
echo "    \"init=epsg:$var_application_srid\"">>$var_ows_mapfile_name
echo "  END">>$var_ows_mapfile_name

echo "  WEB">>$var_ows_mapfile_name
echo "    IMAGEPATH '$path_apache_html/$var_ows_html_featureinfo_path/tmp/'">>$var_ows_mapfile_name
echo "    IMAGEURL 'http://$var_webserver_ip/$var_ows_html_featureinfo_path/tmp/'">>$var_ows_mapfile_name
echo "    METADATA">>$var_ows_mapfile_name
echo "      OWS_TITLE \"$var_ows_mapfile_metadata_title\"">>$var_ows_mapfile_name
echo "      OWS_ABSTRACT \"$var_ows_mapfile_metadata_abstract\"">>$var_ows_mapfile_name
echo "      OWS_ONLINESOURCE \"http://"$var_webserver_ip"/cgi-bin/mapserv?map="$var_ows_mapfile_path"/"$var_ows_mapfile_name"&"\">>$var_ows_mapfile_name
echo "      OWS_SRS \"${var_application_other_srs[@]}\"">>$var_ows_mapfile_name
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name
echo "      OWS_ENABLE_REQUEST \"*\"">>$var_ows_mapfile_name
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name

echo "      OWS_ABSTRACT \"$var_ows_mapfile_metadata_abstract\"">>$var_ows_mapfile_name
echo "      OWS_KEYWORDLIST \"$var_ows_mapfile_metadata_keywordlist\"">>$var_ows_mapfile_name
echo "      OWS_FEES \"$var_ows_mapfile_metadata_fees\"">>$var_ows_mapfile_name
echo "      OWS_ACCESSCONSTRAINTS \"$var_ows_mapfile_metadata_accessconstraints\"">>$var_ows_mapfile_name
echo "      OWS_CONTACTPERSON \"$var_ows_mapfile_metadata_contactperson\"">>$var_ows_mapfile_name
echo "      OWS_CONTACTORGANIZATION \"$var_ows_mapfile_metadata_contactorganization\"">>$var_ows_mapfile_name
echo "      OWS_CONTACTPOSITION \"$var_ows_mapfile_metadata_contactposition\"">>$var_ows_mapfile_name
echo "      OWS_CONTACTVOICETELEPHONE \"$var_ows_mapfile_metadata_contactvoicetelephone\"">>$var_ows_mapfile_name
echo "      OWS_CONTACTFACSIMILETELEPHONE \"$var_ows_mapfile_metadata_contactfacsimiletelephone\"">>$var_ows_mapfile_name
echo "      OWS_CONTACTELECTRONICMAILADDRESS \"$var_ows_mapfile_metadata_contactelectronicmailaddress\"">>$var_ows_mapfile_name
echo "      OWS_ADDRESS \"$var_ows_mapfile_metadata_address\"">>$var_ows_mapfile_name
echo "      OWS_ADDRESSTYPE \"$var_ows_mapfile_metadata_addresstype\"">>$var_ows_mapfile_name
echo "      OWS_CITY \"$var_ows_mapfile_metadata_city\"">>$var_ows_mapfile_name
echo "      OWS_STATEORPROVINCE \"$var_ows_mapfile_metadata_stateorprovince\"">>$var_ows_mapfile_name
echo "      OWS_POSTCODE \"$var_ows_mapfile_metadata_postcode\"">>$var_ows_mapfile_name
echo "      OWS_COUNTRY \"$var_ows_mapfile_metadata_county\"">>$var_ows_mapfile_name
echo "    END">>$var_ows_mapfile_name

echo "    EMPTY \"$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/blank.html\"">>$var_ows_mapfile_name
echo "  END">>$var_ows_mapfile_name

echo "  SYMBOL">>$var_ows_mapfile_name
echo "    NAME \"CIRCLE\"">>$var_ows_mapfile_name
echo "    TYPE ellipse">>$var_ows_mapfile_name
echo "    FILLED true">>$var_ows_mapfile_name
echo "    POINTS">>$var_ows_mapfile_name
echo "      1 1">>$var_ows_mapfile_name
echo "    END">>$var_ows_mapfile_name
echo "  END">>$var_ows_mapfile_name

echo "  QUERYMAP">>$var_ows_mapfile_name
echo "    STATUS ON">>$var_ows_mapfile_name
echo "    SIZE 200 200">>$var_ows_mapfile_name
echo "    STYLE HILITE">>$var_ows_mapfile_name
echo "    COLOR 255 0 0">>$var_ows_mapfile_name
echo "  END">>$var_ows_mapfile_name

echo "  LEGEND">>$var_ows_mapfile_name
echo "    STATUS ON">>$var_ows_mapfile_name
echo "    TRANSPARENT ON">>$var_ows_mapfile_name
echo "  END">>$var_ows_mapfile_name

echo "  LAYER">>$var_ows_mapfile_name
echo "    NAME \"poi\"">>$var_ows_mapfile_name
echo "    TYPE POINT">>$var_ows_mapfile_name
echo "    STATUS ON">>$var_ows_mapfile_name
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name
echo "    DATA \"geom3d from $var_application_db_schema.poi_all USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name
echo "    METADATA">>$var_ows_mapfile_name
echo "      OWS_TITLE \"poi\"">>$var_ows_mapfile_name
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name
echo "    END">>$var_ows_mapfile_name
echo "    CLASS">>$var_ows_mapfile_name
echo "      NAME \"poi\"">>$var_ows_mapfile_name  
echo "      STYLE">>$var_ows_mapfile_name
echo "        SYMBOL \"CIRCLE\"">>$var_ows_mapfile_name
echo "        SIZE 6">>$var_ows_mapfile_name
echo "        COLOR 0 0 255">>$var_ows_mapfile_name
echo "      END">>$var_ows_mapfile_name
echo "    END">>$var_ows_mapfile_name
echo "    TEMPLATE \"$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/poi.html\"">>$var_ows_mapfile_name
echo "    TOLERANCE 10">>$var_ows_mapfile_name
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name
echo "  END">>$var_ows_mapfile_name

echo "  LAYER">>$var_ows_mapfile_name
echo "    NAME \"polygon\"">>$var_ows_mapfile_name
echo "    TYPE POLYGON">>$var_ows_mapfile_name
echo "    STATUS ON">>$var_ows_mapfile_name
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name
echo "    DATA \"geom3d from $var_application_db_schema.polygon_all USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name
echo "    METADATA">>$var_ows_mapfile_name
echo "      OWS_TITLE \"polygon\"">>$var_ows_mapfile_name
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name
echo "    END">>$var_ows_mapfile_name
echo "    CLASS">>$var_ows_mapfile_name
echo "      NAME \"polygon\"">>$var_ows_mapfile_name  
echo "      STYLE">>$var_ows_mapfile_name
echo "        OUTLINECOLOR 0 0 255">>$var_ows_mapfile_name
echo "      END">>$var_ows_mapfile_name
echo "    END">>$var_ows_mapfile_name
echo "    TEMPLATE \"$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/polygon.html\"">>$var_ows_mapfile_name
echo "    TOLERANCE 10">>$var_ows_mapfile_name
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name
echo "  END">>$var_ows_mapfile_name

echo "END">>$var_ows_mapfile_name


# change permissions
chmod 755 $var_ows_mapfile_name
chown www-data $var_ows_mapfile_name

# copy to the webdirectory
echo "LOG: copy created mapfile ($var_ows_mapfile_name) to directory ($path_cgi_bin/$var_ows_mapfile_path)"
if ! [ -d $path_cgi_bin/$var_ows_mapfile_path ] ; then
  mkdir $path_cgi_bin/$var_ows_mapfile_path
fi
cp $var_ows_mapfile_name $path_cgi_bin/$var_ows_mapfile_path/$var_ows_mapfile_name



# create the mapfile for yearly poi & polygon + linestring distance
echo "MAP">$var_ows_mapfile_name_year
echo "  SIZE 800 600">>$var_ows_mapfile_name_year
echo "  EXTENT -180 -90 180 90">>$var_ows_mapfile_name_year
echo "  UNITS METERS">>$var_ows_mapfile_name_year
echo "  IMAGETYPE PNG24">>$var_ows_mapfile_name_year
echo "  IMAGECOLOR 255 255 255">>$var_ows_mapfile_name_year
echo "  PROJECTION">>$var_ows_mapfile_name_year
echo "    \"init=epsg:$var_application_srid\"">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "  WEB">>$var_ows_mapfile_name_year
echo "    IMAGEPATH '$path_apache_html/$var_ows_html_featureinfo_path/tmp/'">>$var_ows_mapfile_name_year
echo "    IMAGEURL 'http://$var_webserver_ip/$var_ows_html_featureinfo_path/tmp/'">>$var_ows_mapfile_name_year
echo "    METADATA">>$var_ows_mapfile_name_year
echo "      OWS_TITLE \"$var_ows_mapfile_metadata_title_year\"">>$var_ows_mapfile_name_year
echo "      OWS_ABSTRACT \"$var_ows_mapfile_metadata_abstract\"">>$var_ows_mapfile_name_year
echo "      OWS_ONLINESOURCE \"http://"$var_webserver_ip"/cgi-bin/mapserv?map="$var_ows_mapfile_path"/"$var_ows_mapfile_name_year"&"\">>$var_ows_mapfile_name_year
echo "      OWS_SRS \"${var_application_other_srs[@]}\"">>$var_ows_mapfile_name_year
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_year
echo "      OWS_ENABLE_REQUEST \"*\"">>$var_ows_mapfile_name_year
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year

echo "      OWS_ABSTRACT \"$var_ows_mapfile_metadata_abstract\"">>$var_ows_mapfile_name_year
echo "      OWS_KEYWORDLIST \"$var_ows_mapfile_metadata_keywordlist\"">>$var_ows_mapfile_name_year
echo "      OWS_FEES \"$var_ows_mapfile_metadata_fees\"">>$var_ows_mapfile_name_year
echo "      OWS_ACCESSCONSTRAINTS \"$var_ows_mapfile_metadata_accessconstraints\"">>$var_ows_mapfile_name_year
echo "      OWS_CONTACTPERSON \"$var_ows_mapfile_metadata_contactperson\"">>$var_ows_mapfile_name_year
echo "      OWS_CONTACTORGANIZATION \"$var_ows_mapfile_metadata_contactorganization\"">>$var_ows_mapfile_name_year
echo "      OWS_CONTACTPOSITION \"$var_ows_mapfile_metadata_contactposition\"">>$var_ows_mapfile_name_year
echo "      OWS_CONTACTVOICETELEPHONE \"$var_ows_mapfile_metadata_contactvoicetelephone\"">>$var_ows_mapfile_name_year
echo "      OWS_CONTACTFACSIMILETELEPHONE \"$var_ows_mapfile_metadata_contactfacsimiletelephone\"">>$var_ows_mapfile_name_year
echo "      OWS_CONTACTELECTRONICMAILADDRESS \"$var_ows_mapfile_metadata_contactelectronicmailaddress\"">>$var_ows_mapfile_name_year
echo "      OWS_ADDRESS \"$var_ows_mapfile_metadata_address\"">>$var_ows_mapfile_name_year
echo "      OWS_ADDRESSTYPE \"$var_ows_mapfile_metadata_addresstype\"">>$var_ows_mapfile_name_year
echo "      OWS_CITY \"$var_ows_mapfile_metadata_city\"">>$var_ows_mapfile_name_year
echo "      OWS_STATEORPROVINCE \"$var_ows_mapfile_metadata_stateorprovince\"">>$var_ows_mapfile_name_year
echo "      OWS_POSTCODE \"$var_ows_mapfile_metadata_postcode\"">>$var_ows_mapfile_name_year
echo "      OWS_COUNTRY \"$var_ows_mapfile_metadata_county\"">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year

echo "    EMPTY \"$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/blank.html\"">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "  SYMBOL">>$var_ows_mapfile_name_year
echo "    NAME \"CIRCLE\"">>$var_ows_mapfile_name_year
echo "    TYPE ellipse">>$var_ows_mapfile_name_year
echo "    FILLED true">>$var_ows_mapfile_name_year
echo "    POINTS">>$var_ows_mapfile_name_year
echo "      1 1">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "  SYMBOL">>$var_ows_mapfile_name_year
echo "    NAME \"ARROW\"">>$var_ows_mapfile_name_year
echo "    TYPE vector">>$var_ows_mapfile_name_year
echo "    FILLED true">>$var_ows_mapfile_name_year
echo "    POINTS">>$var_ows_mapfile_name_year
echo "      0 0.4">>$var_ows_mapfile_name_year
echo "      3 0.4">>$var_ows_mapfile_name_year
echo "      3 0">>$var_ows_mapfile_name_year
echo "      5 0.8">>$var_ows_mapfile_name_year
echo "      3 1.6">>$var_ows_mapfile_name_year
echo "      3 1.2">>$var_ows_mapfile_name_year
echo "      0 1.2">>$var_ows_mapfile_name_year
echo "      0 0.4">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    ANCHORPOINT 0 0.5">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "  QUERYMAP">>$var_ows_mapfile_name_year
echo "    STATUS ON">>$var_ows_mapfile_name_year
echo "    SIZE 200 200">>$var_ows_mapfile_name_year
echo "    STYLE HILITE">>$var_ows_mapfile_name_year
echo "    COLOR 255 0 0">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "  LEGEND">>$var_ows_mapfile_name_year
echo "    STATUS ON">>$var_ows_mapfile_name_year
echo "    TRANSPARENT ON">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "  LAYER">>$var_ows_mapfile_name_year
echo "    NAME \"poi\"">>$var_ows_mapfile_name_year
echo "    TYPE POINT">>$var_ows_mapfile_name_year
echo "    STATUS ON">>$var_ows_mapfile_name_year
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_year
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_year
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_year
echo "    DATA \"geom3d from $var_application_db_schema.poi_year_distance_avg USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_year
echo "    METADATA">>$var_ows_mapfile_name_year
echo "      OWS_TITLE \"poi\"">>$var_ows_mapfile_name_year
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_year
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_year
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    CLASS">>$var_ows_mapfile_name_year
echo "      NAME \"poi\"">>$var_ows_mapfile_name_year
echo "      STYLE">>$var_ows_mapfile_name_year
echo "        SYMBOL \"CIRCLE\"">>$var_ows_mapfile_name_year
echo "        SIZE 6">>$var_ows_mapfile_name_year
echo "        COLOR 0 0 255">>$var_ows_mapfile_name_year
echo "      END">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    TEMPLATE \"$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/poi_year.html\"">>$var_ows_mapfile_name_year
echo "    TOLERANCE 10">>$var_ows_mapfile_name_year
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_year
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "  LAYER">>$var_ows_mapfile_name_year
echo "    NAME \"polygon\"">>$var_ows_mapfile_name_year
echo "    TYPE POLYGON">>$var_ows_mapfile_name_year
echo "    STATUS ON">>$var_ows_mapfile_name_year
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_year
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_year
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_year
echo "    DATA \"geom3d from $var_application_db_schema.polygon_year_distance_avg USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_year
echo "    METADATA">>$var_ows_mapfile_name_year
echo "      OWS_TITLE \"polygon\"">>$var_ows_mapfile_name_year
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_year
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_year
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    CLASS">>$var_ows_mapfile_name_year
echo "      NAME \"polygon\"">>$var_ows_mapfile_name_year
echo "      STYLE">>$var_ows_mapfile_name_year
echo "        OUTLINECOLOR 0 0 255">>$var_ows_mapfile_name_year
echo "      END">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    TEMPLATE \"$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/polygon_year.html\"">>$var_ows_mapfile_name_year
echo "    TOLERANCE 10">>$var_ows_mapfile_name_year
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_year
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "  LAYER">>$var_ows_mapfile_name_year
echo "    NAME \"poi_year_distance\"">>$var_ows_mapfile_name_year
echo "    TYPE LINE">>$var_ows_mapfile_name_year
echo "    STATUS ON">>$var_ows_mapfile_name_year
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_year
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_year
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_year
echo "    DATA \"geom_distance from (SELECT * FROM $var_application_db_schema.poi_year_distance_avg WHERE geom_distance IS NOT NULL) AS SUBQUERY USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_year
echo "    METADATA">>$var_ows_mapfile_name_year
echo "      OWS_TITLE \"poi_year_distance\"">>$var_ows_mapfile_name_year
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_year
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_year
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    CLASS">>$var_ows_mapfile_name_year
echo "      NAME \"poi_year_distance\"">>$var_ows_mapfile_name_year  
echo "      STYLE">>$var_ows_mapfile_name_year
echo "        SYMBOL \"ARROW\"">>$var_ows_mapfile_name_year
echo "        COLOR 0 175 0">>$var_ows_mapfile_name_year
echo "        WIDTH 2">>$var_ows_mapfile_name_year
echo "        SIZE 8">>$var_ows_mapfile_name_year
echo "      END">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    TOLERANCE 10">>$var_ows_mapfile_name_year
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_year
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "  LAYER">>$var_ows_mapfile_name_year
echo "    NAME \"polygon_year_centroid\"">>$var_ows_mapfile_name_year
echo "    TYPE POINT">>$var_ows_mapfile_name_year
echo "    STATUS ON">>$var_ows_mapfile_name_year
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_year
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_year
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_year
echo "    DATA \"geom_centroid from (SELECT * FROM $var_application_db_schema.polygon_year_distance_avg WHERE geom_centroid IS NOT NULL) AS SUBQUERY USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_year
echo "    METADATA">>$var_ows_mapfile_name_year
echo "      OWS_TITLE \"polygon_year_centroid\"">>$var_ows_mapfile_name_year
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_year
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_year
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    CLASS">>$var_ows_mapfile_name_year
echo "      NAME \"polygon_year_centroid\"">>$var_ows_mapfile_name_year  
echo "      STYLE">>$var_ows_mapfile_name_year
echo "        SYMBOL \"CIRCLE\"">>$var_ows_mapfile_name_year
echo "        SIZE 6">>$var_ows_mapfile_name_year
echo "        COLOR 0 128 0">>$var_ows_mapfile_name_year
echo "      END">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    TOLERANCE 10">>$var_ows_mapfile_name_year
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_year
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "  LAYER">>$var_ows_mapfile_name_year
echo "    NAME \"polygon_year_distance\"">>$var_ows_mapfile_name_year
echo "    TYPE LINE">>$var_ows_mapfile_name_year
echo "    STATUS ON">>$var_ows_mapfile_name_year
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_year
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_year
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_year
echo "    DATA \"geom_centroid_distance from (SELECT * FROM $var_application_db_schema.polygon_year_distance_avg WHERE geom_centroid_distance IS NOT NULL) AS SUBQUERY USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_year
echo "    METADATA">>$var_ows_mapfile_name_year
echo "      OWS_TITLE \"polygon_year_distance\"">>$var_ows_mapfile_name_year
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_year
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_year
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    CLASS">>$var_ows_mapfile_name_year
echo "      NAME \"polygon_year_distance\"">>$var_ows_mapfile_name_year  
echo "      STYLE">>$var_ows_mapfile_name_year
echo "        SYMBOL \"ARROW\"">>$var_ows_mapfile_name_year
echo "        COLOR 0 175 0">>$var_ows_mapfile_name_year
echo "        WIDTH 2">>$var_ows_mapfile_name_year
echo "        SIZE 8">>$var_ows_mapfile_name_year
echo "      END">>$var_ows_mapfile_name_year
echo "    END">>$var_ows_mapfile_name_year
echo "    TOLERANCE 10">>$var_ows_mapfile_name_year
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_year
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_year
echo "  END">>$var_ows_mapfile_name_year

echo "END">>$var_ows_mapfile_name_year


# change permissions
chmod 755 $var_ows_mapfile_name_year
chown www-data $var_ows_mapfile_name_year

# copy to the webdirectory
echo "LOG: copy created mapfile ($var_ows_mapfile_name_year) to directory ($path_cgi_bin/$var_ows_mapfile_path)"
if ! [ -d $path_cgi_bin/$var_ows_mapfile_path ] ; then
  mkdir $path_cgi_bin/$var_ows_mapfile_path
fi
cp $var_ows_mapfile_name_year $path_cgi_bin/$var_ows_mapfile_path/$var_ows_mapfile_name_year




# create the mapfile for all first and last poi & polygon + linestring distance
echo "MAP">$var_ows_mapfile_name_max
echo "  SIZE 800 600">>$var_ows_mapfile_name_max
echo "  EXTENT -180 -90 180 90">>$var_ows_mapfile_name_max
echo "  UNITS METERS">>$var_ows_mapfile_name_max
echo "  IMAGETYPE PNG24">>$var_ows_mapfile_name_max
echo "  IMAGECOLOR 255 255 255">>$var_ows_mapfile_name_max
echo "  PROJECTION">>$var_ows_mapfile_name_max
echo "    \"init=epsg:$var_application_srid\"">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  WEB">>$var_ows_mapfile_name_max
echo "    IMAGEPATH '$path_apache_html/$var_ows_html_featureinfo_path/tmp/'">>$var_ows_mapfile_name_max
echo "    IMAGEURL 'http://$var_webserver_ip/$var_ows_html_featureinfo_path/tmp/'">>$var_ows_mapfile_name_max
echo "    METADATA">>$var_ows_mapfile_name_max
echo "      OWS_TITLE \"$var_ows_mapfile_metadata_title_max\"">>$var_ows_mapfile_name_max
echo "      OWS_ABSTRACT \"$var_ows_mapfile_metadata_abstract\"">>$var_ows_mapfile_name_max
echo "      OWS_ONLINESOURCE \"http://"$var_webserver_ip"/cgi-bin/mapserv?map="$var_ows_mapfile_path"/"$var_ows_mapfile_name_max"&"\">>$var_ows_mapfile_name_max
echo "      OWS_SRS \"${var_application_other_srs[@]}\"">>$var_ows_mapfile_name_max
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_max
echo "      OWS_ENABLE_REQUEST \"*\"">>$var_ows_mapfile_name_max
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max

echo "      OWS_ABSTRACT \"$var_ows_mapfile_metadata_abstract\"">>$var_ows_mapfile_name_max
echo "      OWS_KEYWORDLIST \"$var_ows_mapfile_metadata_keywordlist\"">>$var_ows_mapfile_name_max
echo "      OWS_FEES \"$var_ows_mapfile_metadata_fees\"">>$var_ows_mapfile_name_max
echo "      OWS_ACCESSCONSTRAINTS \"$var_ows_mapfile_metadata_accessconstraints\"">>$var_ows_mapfile_name_max
echo "      OWS_CONTACTPERSON \"$var_ows_mapfile_metadata_contactperson\"">>$var_ows_mapfile_name_max
echo "      OWS_CONTACTORGANIZATION \"$var_ows_mapfile_metadata_contactorganization\"">>$var_ows_mapfile_name_max
echo "      OWS_CONTACTPOSITION \"$var_ows_mapfile_metadata_contactposition\"">>$var_ows_mapfile_name_max
echo "      OWS_CONTACTVOICETELEPHONE \"$var_ows_mapfile_metadata_contactvoicetelephone\"">>$var_ows_mapfile_name_max
echo "      OWS_CONTACTFACSIMILETELEPHONE \"$var_ows_mapfile_metadata_contactfacsimiletelephone\"">>$var_ows_mapfile_name_max
echo "      OWS_CONTACTELECTRONICMAILADDRESS \"$var_ows_mapfile_metadata_contactelectronicmailaddress\"">>$var_ows_mapfile_name_max
echo "      OWS_ADDRESS \"$var_ows_mapfile_metadata_address\"">>$var_ows_mapfile_name_max
echo "      OWS_ADDRESSTYPE \"$var_ows_mapfile_metadata_addresstype\"">>$var_ows_mapfile_name_max
echo "      OWS_CITY \"$var_ows_mapfile_metadata_city\"">>$var_ows_mapfile_name_max
echo "      OWS_STATEORPROVINCE \"$var_ows_mapfile_metadata_stateorprovince\"">>$var_ows_mapfile_name_max
echo "      OWS_POSTCODE \"$var_ows_mapfile_metadata_postcode\"">>$var_ows_mapfile_name_max
echo "      OWS_COUNTRY \"$var_ows_mapfile_metadata_county\"">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max

echo "    EMPTY \"$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/blank.html\"">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  SYMBOL">>$var_ows_mapfile_name_max
echo "    NAME \"CIRCLE\"">>$var_ows_mapfile_name_max
echo "    TYPE ellipse">>$var_ows_mapfile_name_max
echo "    FILLED true">>$var_ows_mapfile_name_max
echo "    POINTS">>$var_ows_mapfile_name_max
echo "      1 1">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  SYMBOL">>$var_ows_mapfile_name_max
echo "    NAME \"ARROW\"">>$var_ows_mapfile_name_max
echo "    TYPE vector">>$var_ows_mapfile_name_max
echo "    FILLED true">>$var_ows_mapfile_name_max
echo "    POINTS">>$var_ows_mapfile_name_max
echo "      0 0.4">>$var_ows_mapfile_name_max
echo "      3 0.4">>$var_ows_mapfile_name_max
echo "      3 0">>$var_ows_mapfile_name_max
echo "      5 0.8">>$var_ows_mapfile_name_max
echo "      3 1.6">>$var_ows_mapfile_name_max
echo "      3 1.2">>$var_ows_mapfile_name_max
echo "      0 1.2">>$var_ows_mapfile_name_max
echo "      0 0.4">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    ANCHORPOINT 0 0.5">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  QUERYMAP">>$var_ows_mapfile_name_max
echo "    STATUS ON">>$var_ows_mapfile_name_max
echo "    SIZE 200 200">>$var_ows_mapfile_name_max
echo "    STYLE HILITE">>$var_ows_mapfile_name_max
echo "    COLOR 255 0 0">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  LEGEND">>$var_ows_mapfile_name_max
echo "    STATUS ON">>$var_ows_mapfile_name_max
echo "    TRANSPARENT ON">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  LAYER">>$var_ows_mapfile_name_max
echo "    NAME \"poi\"">>$var_ows_mapfile_name_max
echo "    TYPE POINT">>$var_ows_mapfile_name_max
echo "    STATUS ON">>$var_ows_mapfile_name_max
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_max
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_max
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_max
echo "    DATA \"geom3d from $var_application_db_schema.poi_max_distance USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_max
echo "    METADATA">>$var_ows_mapfile_name_max
echo "      OWS_TITLE \"poi\"">>$var_ows_mapfile_name_max
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_max
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_max
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    CLASS">>$var_ows_mapfile_name_max
echo "      NAME \"First poi\"">>$var_ows_mapfile_name_max
echo "      EXPRESSION ('[nid]'='1') ">>$var_ows_mapfile_name_max
echo "      STYLE">>$var_ows_mapfile_name_max
echo "        SYMBOL \"CIRCLE\"">>$var_ows_mapfile_name_max
echo "        SIZE 6">>$var_ows_mapfile_name_max
echo "        COLOR 0 0 255">>$var_ows_mapfile_name_max
echo "      END">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    CLASS">>$var_ows_mapfile_name_max
echo "      NAME \"Last poi\"">>$var_ows_mapfile_name_max
echo "      EXPRESSION ('[nid]'='2') ">>$var_ows_mapfile_name_max
echo "      STYLE">>$var_ows_mapfile_name_max
echo "        SYMBOL \"CIRCLE\"">>$var_ows_mapfile_name_max
echo "        SIZE 6">>$var_ows_mapfile_name_max
echo "        COLOR 255 0 0">>$var_ows_mapfile_name_max
echo "      END">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    TEMPLATE \"$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/poi_max.html\"">>$var_ows_mapfile_name_max
echo "    TOLERANCE 10">>$var_ows_mapfile_name_max
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  LAYER">>$var_ows_mapfile_name_max
echo "    NAME \"polygon\"">>$var_ows_mapfile_name_max
echo "    TYPE POLYGON">>$var_ows_mapfile_name_max
echo "    STATUS ON">>$var_ows_mapfile_name_max
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_max
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_max
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_max
echo "    DATA \"geom3d from $var_application_db_schema.polygon_max_distance USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_max
echo "    METADATA">>$var_ows_mapfile_name_max
echo "      OWS_TITLE \"polygon\"">>$var_ows_mapfile_name_max
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_max
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_max
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    CLASS">>$var_ows_mapfile_name_max
echo "      NAME \"First polygon\"">>$var_ows_mapfile_name_max
echo "      EXPRESSION ('[nid]'='1') ">>$var_ows_mapfile_name_max
echo "      STYLE">>$var_ows_mapfile_name_max
echo "        OUTLINECOLOR 0 0 255">>$var_ows_mapfile_name_max
echo "      END">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    CLASS">>$var_ows_mapfile_name_max
echo "      NAME \"Last polygon\"">>$var_ows_mapfile_name_max
echo "      EXPRESSION ('[nid]'='2') ">>$var_ows_mapfile_name_max
echo "      STYLE">>$var_ows_mapfile_name_max
echo "        OUTLINECOLOR 255 0 0">>$var_ows_mapfile_name_max
echo "      END">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    TEMPLATE \"$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/polygon_max.html\"">>$var_ows_mapfile_name_max
echo "    TOLERANCE 10">>$var_ows_mapfile_name_max
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  LAYER">>$var_ows_mapfile_name_max
echo "    NAME \"poi_max_distance\"">>$var_ows_mapfile_name_max
echo "    TYPE LINE">>$var_ows_mapfile_name_max
echo "    STATUS ON">>$var_ows_mapfile_name_max
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_max
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_max
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_max
echo "    DATA \"geom_distance from (SELECT * FROM $var_application_db_schema.poi_max_distance WHERE nid=1) AS SUBQUERY USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_max
echo "    METADATA">>$var_ows_mapfile_name_max
echo "      OWS_TITLE \"poi_max_distance\"">>$var_ows_mapfile_name_max
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_max
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_max
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    CLASS">>$var_ows_mapfile_name_max
echo "      NAME \"poi_max_distance\"">>$var_ows_mapfile_name_max  
echo "      STYLE">>$var_ows_mapfile_name_max
echo "        SYMBOL \"ARROW\"">>$var_ows_mapfile_name_max
echo "        COLOR 0 175 0">>$var_ows_mapfile_name_max
echo "        WIDTH 2">>$var_ows_mapfile_name_max
echo "        SIZE 8">>$var_ows_mapfile_name_max
echo "      END">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    TOLERANCE 10">>$var_ows_mapfile_name_max
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  LAYER">>$var_ows_mapfile_name_max
echo "    NAME \"polygon_max_centroid\"">>$var_ows_mapfile_name_max
echo "    TYPE POINT">>$var_ows_mapfile_name_max
echo "    STATUS ON">>$var_ows_mapfile_name_max
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_max
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_max
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_max
echo "    DATA \"geom_centroid from (SELECT * FROM $var_application_db_schema.polygon_max_distance WHERE nid=1) AS SUBQUERY USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_max
echo "    METADATA">>$var_ows_mapfile_name_max
echo "      OWS_TITLE \"polygon_max_centroid\"">>$var_ows_mapfile_name_max
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_max
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_max
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    CLASS">>$var_ows_mapfile_name_max
echo "      NAME \"polygon_max_centroid\"">>$var_ows_mapfile_name_max  
echo "      STYLE">>$var_ows_mapfile_name_max
echo "        SYMBOL \"CIRCLE\"">>$var_ows_mapfile_name_max
echo "        SIZE 6">>$var_ows_mapfile_name_max
echo "        COLOR 0 128 0">>$var_ows_mapfile_name_max
echo "      END">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    TOLERANCE 10">>$var_ows_mapfile_name_max
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  LAYER">>$var_ows_mapfile_name_max
echo "    NAME \"polygon_max_distance\"">>$var_ows_mapfile_name_max
echo "    TYPE LINE">>$var_ows_mapfile_name_max
echo "    STATUS ON">>$var_ows_mapfile_name_max
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_max
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_max
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_max
echo "    DATA \"geom_centroid_distance from (SELECT * FROM $var_application_db_schema.polygon_max_distance WHERE nid=1) AS SUBQUERY USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_max
echo "    METADATA">>$var_ows_mapfile_name_max
echo "      OWS_TITLE \"polygon_max_distance\"">>$var_ows_mapfile_name_max
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_max
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_max
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    CLASS">>$var_ows_mapfile_name_max
echo "      NAME \"polygon_max_distance\"">>$var_ows_mapfile_name_max  
echo "      STYLE">>$var_ows_mapfile_name_max
echo "        SYMBOL \"ARROW\"">>$var_ows_mapfile_name_max
echo "        COLOR 0 175 0">>$var_ows_mapfile_name_max
echo "        WIDTH 2">>$var_ows_mapfile_name_max
echo "        SIZE 8">>$var_ows_mapfile_name_max
echo "      END">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    TOLERANCE 10">>$var_ows_mapfile_name_max
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "  LAYER">>$var_ows_mapfile_name_max
echo "    NAME \"polygon_max_difference\"">>$var_ows_mapfile_name_max
echo "    TYPE POLYGON">>$var_ows_mapfile_name_max
echo "    STATUS ON">>$var_ows_mapfile_name_max
echo "    PROCESSING \"CLOSE_CONNECTION=DEFER\"">>$var_ows_mapfile_name_max
echo "    CONNECTIONTYPE POSTGIS">>$var_ows_mapfile_name_max
echo "    CONNECTION \"host=$var_db_host port=$var_db_port dbname=$var_db_name user=$var_db_user password=$var_db_password\"">>$var_ows_mapfile_name_max
echo "    DATA \"geom_difference from (SELECT * FROM $var_application_db_schema.polygon_max_distance WHERE nid=1) AS SUBQUERY USING unique gid USING srid=$var_application_srid\"">>$var_ows_mapfile_name_max
echo "    METADATA">>$var_ows_mapfile_name_max
echo "      OWS_TITLE \"polygon_max_difference\"">>$var_ows_mapfile_name_max
echo "      OWS_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "      OWS_FEATURE_INFO_MIME_TYPE \"text/html\"">>$var_ows_mapfile_name_max
echo "      GML_FEATUREID \"gid\"">>$var_ows_mapfile_name_max
echo "      GML_INCLUDE_ITEMS \"all\"">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    CLASS">>$var_ows_mapfile_name_max
echo "      NAME \"polygon_max_difference\"">>$var_ows_mapfile_name_max  
echo "      STYLE">>$var_ows_mapfile_name_max
echo "        COLOR 0 255 255">>$var_ows_mapfile_name_max
echo "      END">>$var_ows_mapfile_name_max
echo "    END">>$var_ows_mapfile_name_max
echo "    TOLERANCE 10">>$var_ows_mapfile_name_max
echo "    SIZEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "    TOLERANCEUNITS PIXELS">>$var_ows_mapfile_name_max
echo "  END">>$var_ows_mapfile_name_max

echo "END">>$var_ows_mapfile_name_max


# change permissions
chmod 755 $var_ows_mapfile_name_max
chown www-data $var_ows_mapfile_name_max

# copy to the webdirectory
echo "LOG: copy created mapfile ($var_ows_mapfile_name_max) to directory ($path_cgi_bin/$var_ows_mapfile_path)"
if ! [ -d $path_cgi_bin/$var_ows_mapfile_path ] ; then
  mkdir $path_cgi_bin/$var_ows_mapfile_path
fi
cp $var_ows_mapfile_name_max $path_cgi_bin/$var_ows_mapfile_path/$var_ows_mapfile_name_max










) 2>&1 | tee -a $log

