#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# Filename of this script
log_name="create_wms_getfeatureinfo"

# Load the project functions and configuration 
source ./head_admin.sh

# Function to create a WMS-Mapfile
(
# Create paths and change permissions
path=$path_cgi_bin/$var_ows_mapfile_path
if ! [ -d "$path" ] ; then
  echo "LOG: create directory for mapfiles ($path)"
  mkdir $path
  chmod 755 $path
  chown www-data $path
fi
path=$path_apache_html/$var_ows_html_featureinfo_path
if ! [ -d "$path" ] ; then
  echo "LOG: create directory for getFeatureInfo ($path)"
  mkdir $path
  chmod 755 $path
  chown www-data $path
fi
path=$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo
if ! [ -d "$path" ] ; then
  echo "LOG: create directory for getFeatureInfo ($path)"
  mkdir $path
  chmod 755 $path
  chown www-data $path
fi
path=$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema
if ! [ -d "$path" ] ; then
  echo "LOG: create directory for getFeatureInfo ($path)"
  mkdir $path
  chmod 755 $path
  chown www-data $path
fi
path=$path_apache_html/$var_ows_html_featureinfo_path/tmp
if ! [ -d "$path" ] ; then
  echo "LOG: create directory for getFeatureInfo image tmp ($path)"
  mkdir $path
  chmod 777 $path
  chown www-data $path
fi

# create blank.html for no featureInfos
path=$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/blank.html
if ! [ -e "$path" ] ; then
  echo "LOG: create blank.html with no data info for getFeatureInfo ($path)"
  echo "<!-- MapServer Template -->">$path
  echo "No features available">>$path
  chmod 755 $path
  chown www-data $path
fi

# create html data for getFeatureInfo (poi_all & polygon_all)
path=$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/poi.html
echo "LOG: create html data for getFeatureInfo ($path)"
echo "<!-- MapServer Template -->">$path
echo "<table>">>$path
echo "<tr>">>$path
echo " <td>">>$path
echo "  <tr>">>$path
echo "   <td><b>layer:</b></td>">>$path
echo "   <td>poi</td>">>$path
echo "  </tr>">>$path
echo " </td>">>$path
  
column_names=$( echo "SELECT column_name FROM information_schema.columns WHERE table_schema = '$var_application_db_schema' AND table_name = 'poi_all';" | /bin/su -l postgres -c "psql $var_db_name" | tail -n +3 | head -n -2)

# all columns from the layer
for row in $column_names; do
  if ! [ $row == 'gid' -o $row == 'id' -o $row == 'year' -o $row == 'geom2d' -o $row == 'geom3d' ] ; then
    echo " <td>">>$path
    echo "  <tr>">>$path
    echo "   <td><b>$row:</b></td>">>$path
    echo "   <td>[$row]</td>">>$path
    echo "  </tr>">>$path
    echo " </td>">>$path
  fi
done

echo "</tr>">>$path
echo "<tr>">>$path
echo " <td colspan=\"2\"><hr></td>">>$path
echo "</tr>">>$path
echo "</table>">>$path

chmod 755 $path
chown www-data $path


path=$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/polygon.html
echo "LOG: create html data for getFeatureInfo ($path)"
echo "<!-- MapServer Template -->">$path
echo "<table>">>$path
echo "<tr>">>$path
echo " <td>">>$path
echo "  <tr>">>$path
echo "   <td><b>layer:</b></td>">>$path
echo "   <td>polygon</td>">>$path
echo "  </tr>">>$path
echo " </td>">>$path
  
column_names=$( echo "SELECT column_name FROM information_schema.columns WHERE table_schema = '$var_application_db_schema' AND table_name = 'polygon_all';" | /bin/su -l postgres -c "psql $var_db_name" | tail -n +3 | head -n -2)

# all columns from the layer
for row in $column_names; do
  if ! [ $row == 'gid' -o $row == 'id' -o $row == 'year' -o $row == 'geom_centroid' -o $row == 'geom2d' -o $row == 'geom3d' ] ; then
    echo " <td>">>$path
    echo "  <tr>">>$path
    echo "   <td><b>$row:</b></td>">>$path
    echo "   <td>[$row]</td>">>$path
    echo "  </tr>">>$path
    echo " </td>">>$path
  fi
done

echo "</tr>">>$path
echo "<tr>">>$path
echo " <td colspan=\"2\"><hr></td>">>$path
echo "</tr>">>$path
echo "</table>">>$path

chmod 755 $path
chown www-data $path



# create html data for getFeatureInfo (poi_year_distance & polygon_year_distance)
path=$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/poi_year.html
echo "LOG: create html data for getFeatureInfo ($path)"
echo "<!-- MapServer Template -->">$path
echo "<table>">>$path
echo "<tr>">>$path
echo " <td>">>$path
echo "  <tr>">>$path
echo "   <td><b>layer:</b></td>">>$path
echo "   <td>poi</td>">>$path
echo "  </tr>">>$path
echo " </td>">>$path
  
column_names=$( echo "SELECT column_name FROM information_schema.columns WHERE table_schema = '$var_application_db_schema' AND table_name = 'poi_year_distance_avg';" | /bin/su -l postgres -c "psql $var_db_name" | tail -n +3 | head -n -2)

# all columns from the layer
for row in $column_names; do
  if ! [ $row == 'gid' -o $row == 'id' -o $row == 'year' -o $row == 'geom2d' -o $row == 'geom3d' -o $row == 'geom_distance' ] ; then
    echo " <td>">>$path
    echo "  <tr>">>$path
    echo "   <td><b>$row:</b></td>">>$path
    echo "   <td>[$row]</td>">>$path
    echo "  </tr>">>$path
    echo " </td>">>$path
  fi
done

echo "</tr>">>$path
echo "<tr>">>$path
echo " <td colspan=\"2\"><hr></td>">>$path
echo "</tr>">>$path
echo "</table>">>$path

chmod 755 $path
chown www-data $path


path=$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/polygon_year.html
echo "LOG: create html data for getFeatureInfo ($path)"
echo "<!-- MapServer Template -->">$path
echo "<table>">>$path
echo "<tr>">>$path
echo " <td>">>$path
echo "  <tr>">>$path
echo "   <td><b>layer:</b></td>">>$path
echo "   <td>polygon</td>">>$path
echo "  </tr>">>$path
echo " </td>">>$path
  
column_names=$( echo "SELECT column_name FROM information_schema.columns WHERE table_schema = '$var_application_db_schema' AND table_name = 'polygon_year_distance_avg';" | /bin/su -l postgres -c "psql $var_db_name" | tail -n +3 | head -n -2)

# all columns from the layer
for row in $column_names; do
  if ! [ $row == 'gid' -o $row == 'id' -o $row == 'year' -o $row == 'geom2d' -o $row == 'geom3d' -o $row == 'geom_centroid' -o $row == 'centroid_x' -o $row == 'centroid_y' -o $row == 'geom_centroid_distance' -o $row == 'geom_difference' ] ; then
    echo " <td>">>$path
    echo "  <tr>">>$path
    echo "   <td><b>$row:</b></td>">>$path
    echo "   <td>[$row]</td>">>$path
    echo "  </tr>">>$path
    echo " </td>">>$path
  fi
done

echo "</tr>">>$path
echo "<tr>">>$path
echo " <td colspan=\"2\"><hr></td>">>$path
echo "</tr>">>$path
echo "</table>">>$path

  
chmod 755 $path
chown www-data $path



# create html data for getFeatureInfo (poi_max_distance & polygon_max_distance)
path=$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/poi_max.html
echo "LOG: create html data for getFeatureInfo ($path)"
echo "<!-- MapServer Template -->">$path
echo "<table>">>$path
echo "<tr>">>$path
echo " <td>">>$path
echo "  <tr>">>$path
echo "   <td><b>layer:</b></td>">>$path
echo "   <td>poi</td>">>$path
echo "  </tr>">>$path
echo " </td>">>$path
  
column_names=$( echo "SELECT column_name FROM information_schema.columns WHERE table_schema = '$var_application_db_schema' AND table_name = 'poi_max_distance';" | /bin/su -l postgres -c "psql $var_db_name" | tail -n +3 | head -n -2)

# all columns from the layer
for row in $column_names; do
  if ! [ $row == 'gid' -o $row == 'id' -o $row == 'year' -o $row == 'nid' -o $row == 'geom2d' -o $row == 'geom3d' -o $row == 'geom_distance' ] ; then
    echo " <td>">>$path
    echo "  <tr>">>$path
    echo "   <td><b>$row:</b></td>">>$path
    echo "   <td>[$row]</td>">>$path
    echo "  </tr>">>$path
    echo " </td>">>$path
  fi
done

echo "</tr>">>$path
echo "<tr>">>$path
echo " <td colspan=\"2\"><hr></td>">>$path
echo "</tr>">>$path
echo "</table>">>$path

chmod 755 $path
chown www-data $path


path=$path_apache_html/$var_ows_html_featureinfo_path/getfeatureinfo/$var_application_db_schema/polygon_max.html
echo "LOG: create html data for getFeatureInfo ($path)"
echo "<!-- MapServer Template -->">$path
echo "<table>">>$path
echo "<tr>">>$path
echo " <td>">>$path
echo "  <tr>">>$path
echo "   <td><b>layer:</b></td>">>$path
echo "   <td>polygon</td>">>$path
echo "  </tr>">>$path
echo " </td>">>$path
  
column_names=$( echo "SELECT column_name FROM information_schema.columns WHERE table_schema = '$var_application_db_schema' AND table_name = 'polygon_max_distance';" | /bin/su -l postgres -c "psql $var_db_name" | tail -n +3 | head -n -2)

# all columns from the layer
for row in $column_names; do
  if ! [ $row == 'gid' -o $row == 'id' -o $row == 'year' -o $row == 'nid' -o $row == 'geom2d' -o $row == 'geom3d' -o $row == 'geom_centroid' -o $row == 'centroid_x' -o $row == 'centroid_y' -o $row == 'geom_centroid_distance' -o $row == 'geom_difference' ] ; then
    echo " <td>">>$path
    echo "  <tr>">>$path
    echo "   <td><b>$row:</b></td>">>$path
    echo "   <td>[$row]</td>">>$path
    echo "  </tr>">>$path
    echo " </td>">>$path
  fi
done

echo "</tr>">>$path
echo "<tr>">>$path
echo " <td colspan=\"2\"><hr></td>">>$path
echo "</tr>">>$path
echo "</table>">>$path

  
chmod 755 $path
chown www-data $path

) 2>&1 | tee -a $log

