#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# FUNKTION: Install package
function installPackage() {
  date +"LOG: %H:%M:%S Package <$1>"
  # Check: Package not in /config/config.sh
  if [ -v $1 ]; then
    echo "ERR: Package <$1> does not exist."
    echo "ERR: Check correctness of variable names in config file."
    echo "ERR: INSTALLATION ABORTED!"
    exit 1
  else
    # Check: Package not installable
    apt-get -y install $1 2>&1
    if [ $? -ne 0 ]; then
      echo "ERR: Package <$1> not installed."
      echo "ERR: INSTALLATION ABORTED!"
      exit 1
    fi
  fi
}
